Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::comparison::CompareResults Class Reference

Inherits Object.

## Public Member Functions
| CompareResults ()
| Constructor.
| CompareResults (CompareResultInfoArray base_doc_results, CompareResultInfoArray compared_doc_results)
| Constructor, with parameters. More...
| CompareResults (const CompareResults &compare_results)
| Constructor, with another compare results object. More...
void | Clear ()
| Clear all the result information. More...
CompareResults & | operator= (const CompareResults &compare_results)
| Assign operator. More...

## Public Attributes
CompareResultInfoArray | base_doc_results
| A result information array, which contains all the compared results of a PDF page (which has been compared) in the base document.
CompareResultInfoArray | compared_doc_results
| A result information array, which contains all the compared results of a PDF page (which has been compared) in the compared document.

## Detailed Description

This class contains all the results of a comparison process, including the results in both base document and compared document. This class is used as the return type of function Comparison::DoCompare.

See also
  Comparison.

## Constructor & Destructor Documentation

## ◆ CompareResults() [1/2]

foxit::addon::comparison::CompareResults::CompareResults | ( | CompareResultInfoArray | base_doc_results,
|  | CompareResultInfoArray | compared_doc_results
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | base_doc_results | Compare results of base document.
  [in] | compared_doc_results | Compare results of compared document.

## ◆ CompareResults() [2/2]

foxit::addon::comparison::CompareResults::CompareResults | ( | const CompareResults & | compare_results | ) |
| inline

Constructor, with another compare results object.

Parameters

  [in] | compare_results | Another compare results object.

## Member Function Documentation

## ◆ Clear()

void foxit::addon::comparison::CompareResults::Clear | ( |  | ) |
| inline

Clear all the result information.

Returns
  None.

## ◆ operator=()

CompareResults& foxit::addon::comparison::CompareResults::operator= | ( | const CompareResults & | compare_results | ) |
| inline

Assign operator.

Parameters

  [in] | compare_results | Another compare results object, whose value would be assigned to current object.

Returns
  Reference to current object itself.